import request from '@/utils/request'

// 查询家族大事件图片列表
export function listImg(query) {
  return request({
    url: '/system/eventsImg/list',
    method: 'get',
    params: query
  })
}

// 查询家族大事件图片详细
export function getImg(id) {
  return request({
    url: '/system/eventsImg/' + id,
    method: 'get'
  })
}

// 新增家族大事件图片
export function addImg(data) {
  return request({
    url: '/system/eventsImg',
    method: 'post',
    data: data
  })
}

// 修改家族大事件图片
export function updateImg(data) {
  return request({
    url: '/system/eventsImg',
    method: 'put',
    data: data
  })
}

// 删除家族大事件图片
export function delImg(id) {
  return request({
    url: '/system/eventsImg/' + id,
    method: 'delete'
  })
}

// 导出家族大事件图片
export function exportImg(query) {
  return request({
    url: '/system/eventsImg/export',
    method: 'get',
    params: query
  })
}